[SOLVED] libcurl new version

Ask for help regarding any technical issue or report any bug or OS independent issues.
Locked
michellembrodeur
Peon
Peon
Posts: 40
Joined: 26 Jun 2005, 21:05

[SOLVED] libcurl new version

Post by michellembrodeur » 10 Aug 2005, 22:24

ok, tried again to download and install tmw 0.15.

Used the new links in the sources to get.

Synaptic sees the new version of 0.15.
but I need to install the latest version of libcurl to get it to install.
I downloaded the latest install of libcurl 7.14. but even after a clean
"./configure" "make" and "make install" my system see's the old verson

curl-config --version show me version 7.12.3.

not the new version.
what do I need to do to make it see the new version.

Please explain in detail.

kubuntu is my distro 5.04.

thanks all
User avatar
Raven
Peon
Peon
Posts: 39
Joined: 11 Jul 2005, 21:06
Location: Glasgow, Scotland

Post by Raven » 10 Aug 2005, 23:19

and this time hommer no slanderous posts thank you :P sorry michelle i dont have a clue what your talking about i just thought id defend you in case hommer blasts off again
User avatar
ktm
Novice
Novice
Posts: 201
Joined: 14 Jul 2005, 10:24
Location: Vokietija

Post by ktm » 11 Aug 2005, 20:56

maybe you need to cleanly remove the old version first? or synaptic blocks the updated libcurl version because of some dependency issues?
but how you'd solve that i don't know (i prefer gentoo's portage, and thus i don't know sh!t about synaptic. kinda stabbing in the dark here.)
michellembrodeur
Peon
Peon
Posts: 40
Joined: 26 Jun 2005, 21:05

Post by michellembrodeur » 12 Aug 2005, 13:46

ktm wrote:maybe you need to cleanly remove the old version first? or synaptic blocks the updated libcurl version because of some dependency issues?
but how you'd solve that i don't know (i prefer gentoo's portage, and thus i don't know sh!t about synaptic. kinda stabbing in the dark here.)
I downloaded the .deb of libcurl and 2 other dependecies. Then synaptic said I had broken links. So I let it remove over 100 files. Thought it would crash the system but it worked.

Just could not compile libcurl needed a .deb file. They don't always work with kubuntu.

thanks anyway.


Ok well the .deb really messed up the system and just finished re-installing kubuntu.

Downloaded latest version of libcurl3. As TMW needs this now.

I installed it and all but kubuntu does not see it. No errors. How do I tell the system to use the new version and not the old version. If I uninstall the old version 100's of files and programs go with it.

Please help
Locked